cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/images/{image_id}/{size} \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/images/{image_id}/{size}"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/images/{image_id}/{size}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Images
Get an image at a specified size
Images stored in Ctrl Hub are not accessible directly. This endpoint proxies the image binary to you. It is intended to be used in client requests and therefore it does not conform to the JSON:API standard.
GET
/
v3
/
images
/
{image_id}
/
{size}
cURL
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the image.
The size of the image.
Response
An actual image - either a thumbnail or the original, always in binary jpg format and delivered as a binary which can be used in views.
The response is of type file.
⌘I